@use '../colors' as *;
@use '../spacing' as *;


.image-gallery-preview-modal {
    position: fixed;
    z-index: 110;
    height: 100%;
    width: 100%;
    background: $BACKGROUND-PRIMARY;
    display: none;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.7);
}

.image-gallery-preview-modal-img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
    width: auto;
    height: 80%;
    border-top-left-radius: $DEFAULT-SPACING;
    border-top-right-radius: $DEFAULT-SPACING;
}

.image-gallery-preview-modal-caption {
    margin-top: $DEFAULT-SPACING;
    color: #d8dee9;
    text-align: center;
    font-size: 1.2rem;
}

.image-gallery-preview-modal-close {
    position: relative;
    display: block;
    padding: 0;
    margin-top: $DEFAULT-SPACING;
    margin-right: $DEFAULT-SPACING;
    margin-left: auto;
    background-color: $BACKGROUND-PRIMARY;
    border: 1px solid $BACKGROUND-SECONDARY;
    border-radius: 64px;
    height: 64px;
    width: 64px;
    text-align: center;
    line-height: 64px;
    z-index: 110;
}

.image-gallery-preview-modal-close:hover {
    background-color: $BACKGROUND-SECONDARY;
}